Segments API
7 endpoints
Audience segmentation.
Endpoint
/admin/collection/{collectionId}/segmentsParameters
collectionIdpath
string
Required
Responses
200
Success{
"schema": "SegmentList"
}400
Bad request401
Unauthorized404
Not foundEndpoint
/admin/collection/{collectionId}/segmentsParameters
collectionIdpath
string
Required
bodybody
SegmentRecord
Required
See SegmentRecord schema
Responses
200
Success{
"schema": "SegmentRecord"
}400
Bad request401
Unauthorized404
Not foundEndpoint
/admin/collection/{collectionId}/segments/{id}Parameters
collectionIdpath
string
Required
idpath
string
Required
Responses
200
Success{
"schema": "SegmentRecord"
}400
Bad request401
Unauthorized404
Not foundEndpoint
/admin/collection/{collectionId}/segments/{id}Parameters
collectionIdpath
string
Required
idpath
string
Required
bodybody
object
Required
Request body
Responses
200
Success{
"schema": "SegmentRecord"
}400
Bad request401
Unauthorized404
Not foundEndpoint
/admin/collection/{collectionId}/segments/{id}Parameters
collectionIdpath
string
Required
idpath
string
Required
Responses
200
Success400
Bad request401
Unauthorized404
Not foundEndpoint
/admin/collection/{collectionId}/segments/{id}/calculateParameters
collectionIdpath
string
Required
idpath
string
Required
Responses
200
Success{
"schema": "SegmentCalculateResult"
}400
Bad request401
Unauthorized404
Not foundEndpoint
/admin/collection/{collectionId}/segments/{id}/recipientsParameters
collectionIdpath
string
Required
idpath
string
Required
Responses
200
Success{
"schema": "SegmentRecipientsResponse"
}400
Bad request401
Unauthorized404
Not found